<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="object/name"/>
        </title>
        <link rel="stylesheet" type="text/css" media="all"
              href="../xsl.css" />      
      </head>
      <body>
        <xsl:for-each select="object">
          <h1><xsl:value-of select="@name"/></h1>
        </xsl:for-each>
        <h1>Layout</h1>
        <table>
          <xsl:for-each select="object/table/row">
            <xsl:variable name="color">
              <xsl:choose>
                <xsl:when test="position() mod 2 = 0">
                  <xsl:text>#ffffff</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>#eeeeee</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:variable>
            <tr style="background-color:{$color}">
              <xsl:for-each select="cell">
              <td>
                <xsl:value-of select="@name"/>
              </td>
              </xsl:for-each>
            </tr>
          </xsl:for-each>
        </table>
        <h1>Properties</h1>
        <table>
          <xsl:for-each select="object/property">
            <xsl:variable name="color">
              <xsl:choose>
                <xsl:when test="position() mod 2 = 0">
                  <xsl:text>#ffffff</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>#eeeeee</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:variable>
            <tr style="background-color:{$color}">
              <td>
                <xsl:value-of select="@name"/>
              </td>
              <td>
                <xsl:value-of select="text()"/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <h1>Widgets</h1>
        <table>
          <xsl:for-each select="object/widget">
            <xsl:variable name="color">
              <xsl:choose>
                <xsl:when test="position() mod 2 = 0">
                  <xsl:text>#ffffff</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:text>#eeeeee</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:variable>
            <tr style="background-color:{$color}">
              <th>
                <xsl:value-of select="@name"/>
              </th>
              <td colspan="2">
                <xsl:value-of select="@meta_type"/>
              </td>
            </tr>
            <tr style="background-color:{$color}">
              <th colspan="3">
                Properties:
              </th>
            </tr>
            <xsl:for-each select="property">
              <tr style="background-color:{$color}">
                <th>
                  <xsl:value-of select="@name"/>
                </th>
                <td>
                  <xsl:value-of select="text()"/>
                </td>
                <td>
                  <xsl:for-each select="element">
                    <xsl:value-of select="@value"/>
                  </xsl:for-each>
                </td>
              </tr>
            </xsl:for-each>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
