<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:for-each select="object">
            <xsl:value-of select="@name"/>
          </xsl:for-each>
        </title>
      </head>
      <body>
        <xsl:for-each select="object">
          <h2>
            <xsl:value-of select="@name"/>
          </h2> 
        </xsl:for-each>
        <h1>Properties</h1>
        <table>
          <xsl:for-each select="object/property">
            <tr>
              <td colspan="">
                <xsl:value-of select="@name"/>  : <xsl:value-of select="text()"/>
              </td>
              <xsl:for-each select="element">
                <td>
                  <xsl:value-of select="@value"/>
                </td>
              </xsl:for-each>
            </tr>
          </xsl:for-each>
        </table>
        <h1>Alias</h1>
        <table>
          <xsl:for-each select="object/alias">
            <tr>
              <td colspan="">
                <xsl:value-of select="@from"/>  : <xsl:value-of select="@to"/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <h1>Actions</h1>
        <table>
          <tr>
            <th>Id</th>
            <th>Title</th>
            <th>Permission</th>
            <th>Category</th>
            <th>Visible</th>
          </tr>
          <xsl:for-each select="object/action">
            <xsl:sort select="@action_id"
                      order="ascending" />
            <tr>
              <td>
                <xsl:value-of select="@action_id"/>
              </td>
              <td>
                <xsl:value-of select="@title"/>
              </td>
              <td>
                  <xsl:value-of select=""/>
              </td>
              <td>
                <xsl:value-of select="@category"/>
              </td>
              <td>
                <xsl:value-of select="@visible"/>
              </td>
              <xsl:for-each select="element">
                <td>
                  <xsl:value-of select="@value"/>
                </td>
              </xsl:for-each>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
